{% extends 'proj/base.html' %}

{% block content %}
{% load static %}
<div class="smallpage" style="text-align: justify;">
    <h2>Géoportail service climatique</h2>

    <p>Ce document décrit l'utilisation <i>avancée</i> du portail, mais contient toutes les informations pour la
        version <i>simple</i>. Pour une utilisation encore plus poussée, vous pouvez également
        consulter <a href="{% url 'proj:formula' %}">la page dédiée
        aux formules manuelles</a>.</p>

    <h3>Menu principal</h3>
    <ul class="spread">
        <li>Le premier panneau liste les paramètres par thème : agriculture, précipitations, températures. Il existe une
            <a href="{% url 'proj:about' %}#parameters">description plus détaillée de tous les paramètres</a>.
            Si les paramètres climatiques ne vous conviennent pas, vous pouvez entrer le vôtre tout en bas, avec un schéma
            de coloriage de carte. Voir aussi <a href="{% url 'proj:formula' %}">la page dédiée à cette fonctionnalité</a>.
        </li>
        <li>Ensuite viennent les modèles climatiques pris en compte dans les calculs. En cas de doute, mieux vaut les
            sélectionner tous. Les modèles peuvent également être comparés entre eux (voir la section <i>graphes</i>).
            Vous pouvez lire <a href="{% url 'proj:about' %}#models">une description plus précise de ces modèles</a>.
        </li>
        <li>Trois scénarios sont examinés. RCP26 est le scénario "optimiste", RCP85 est le "pire cas", le plus probable à ce jour.</li>

        <li>Le panneau suivant règle les paramètres temporels. Chaque paramètre possède une fonction d'aggrégation pour calculer les données annuelles
            La valeur obtenue est ensuite moyennée entre les années et modèles climatiques (et zones, dans le
            cas des séries temporelles).
            <ul>
                <li>
                    Par défaut, les paramètres sont considérés sur l'année complète. Pour les paramètres
                    climatiques, vous pouvez choisir un intervalle plus court, comme par exemple "6-9" pour
                    la période de Juin à Septembre. Ce réglage n'a pas d'effet sur le graphe mensuel.
                </li>
                <li>
                    Le deuxième item spécifie les années étudiées. Ce réglage n'a pas d'effet sur le
                    graphe interannuel.
                    <br><b class="errW">Note :</b> les modèles climatiques ne sont absolument pas fiables sur
                    une année donnée ; il vaut mieux prendre les moyennes sur une période large d'au moins 20 ans.
                </li>
                <li>
                    Les données sont présentées "brutes" par défaut. Il est possible de les comparer à une période de
                    référence (par défaut {{ refyrs }}). Deux types de comparaison sont possibles :
                    <ul>
                        <li>la différence absolue est une simple soustraction (projection moins référence) ;
                        </li>
                        <li>la différence relative est un quotient (projection moins référence, divisé par référence)
                            présenté sous la forme d'un pourcentage. Si les données de références sont trop petites (comme
                            la précipitation en Janvier), le résultat peut être anormalement grand.
                        </li>
                    </ul>
                    <b class="errW">Note :</b> pour certains paramètres, notamment agricoles, il est préférable d'utiliser
                    les comparaisons : les valeurs brutes sont sujettes à caution.
                    <br><b class="errW">Note 2 :</b> la différence "relative" n'a de sens que pour
                    <a href="https://fr.wikipedia.org/wiki/Extensivit%C3%A9_et_intensivit%C3%A9_(physique)">les paramètres extensifs</a>
                    comme la précipitation ou le rendement, mais pas les températures.
                </li>
            </ul>
            <p>Par exemple : une requête pour "température max en Juin-Septembre 2050-2060" va calculer la
            température maximale entre Juin et Septembre, pour chaque année entre 2050 et 2060, pour chaque modèle
                sélectionné. Toutes ces valeurs seront ensuite moyennées, région par région,
                et affichées sur la carte sous forme de couleurs.</p>
            <p>En fond, les données climatiques sont stockés sous forme mensuelle, ou annuelle pour les paramètres agricoles.
            Lorsque l'on utilise les formules manuelles ou les stations climatiques (voir <a href="#stations">plus bas</a>),
            le portail reprend les données journalières et les aggrège par mois ou par an.</p>
        </li>
        <li>Le dernier panneau sert à exporter la page sous la forme d'image (png, jpg), d'image vectorielle (svg) ou de
            document (pdf). Les séries temporelles peuvent être sauvegardées au format texte (csv) ou tableur (xls).</li>
    </ul>
    <h3>Carte</h3>
    <p>L'interaction avec la carte permet de sélectionner des zones pour les graphes temporels. L'interaction par défaut s'applique aux régions.</p>
    <ul class="spread">
        <li>Cliquez sur une région pour la sélectionner (et uniquement elle).</li>
        <li>Shift-cliquez sur une région pour l'ajouter ou la retirer de la sélection.</li>
        <li>Cliquez en dehors de toute région pour annuler la sélection et retomber sur les données du Sénégal.</li>
        <li>Cliquez-glissez pour sélectionner plusieurs régions à la fois.</li>
    </ul>
    <p>Lorsque plusieurs régions sont sélectionnées, les valeurs sont moyennées pour les graphes temporels,
        pondérées par leurs aires respectives. À cause des approximations successives, sélectionner toutes les régions d'un coup
        renvoie un résultat légèrement différent du pays.</p>

    <p>Le menu en haut de la carte permet de passer à deux autres interactions donnant des relevés plus fins, mais plus restrictifs.</p>

    <ul class="spread">
        <li>La vue <i>pixel</i> permet de revenir aux données initiales, qui ont servi aux calculs régionaux. Ces
            pixels ont une dimension de 0.5° (longitude) par 0.5° (latitude), soit environ 50x50 km. Un clic sur un pixel
            affiche à droite ses valeurs à droite. Cette valeur est la même pour tout le pixel. Le temps de calcul
            peut être sensiblement plus long que pour les régions.
            Les formules manuelles sont pour l'instant désactivées dans cette vue.
        </li>
        <li>Pour une vue encore plus locale, il faut passer aux <i>stations</i>. Ici, les modèles climatiques ont été
        corrigées par rapport aux stations météo. Les données sont donc associés à des points de l'espace. Un clic sur une station
        affiche ses données à droite. Une station donnée ne relève pas tous les paramètres : si on demande une température à un pluviomètre,
            un message d'erreur s'affichera. Les rendements agricoles sont également indisponibles.
            <br><b class="errW">Note :</b> la qualité des projections dépend de celle des données initiales. Certaines stations sont moins bien
            pourvues que d'autres.
        </li>
    </ul>

    <p>La barre de recherche permet de retrouver les localités du pays. Les villes les plus importantes figurent déjà sur la
    carte, mais le moteur de recherche permet d'en retrouver beaucoup plus.</p>
    <ul class="spread">
    <li>En vue régionale (ou pixel), sélectionner un lieu l'affiche sur la carte et sélectionne la région (respectivement le pixel)
    qui le contient. Si le lieu est trop proche d'une frontière, plusieurs régions seront sélectionnées et donc moyennées dans les résultats.</li>
        <li>En vue par station, le moteur recense uniquement les stations météo. C'est un moyen pratique de les retrouver.</li>
    </ul>

    <h3>Graphes temporels</h3>
    <p>Les graphes temporels figurent sur la partie droite. Celui du dessus affiche l'évolution mois par mois (moyennée par année),
    tandis que celui du bas montre l'évolution globale du paramètre année par année. Ils comparent les scénarios par défaut,
        chaque scénario présentant les barres d'erreur en transparence (c'est-à-dire l'écart-type des modèles).
        Vous pouvez passer à la vue de comparaison entre modèles, pour un scénario donné.</p>

    <p>La légende tout à droite indique si une courbe spécifique est visible <img style="height:1em" src="{% static 'img/eye.svg' %}"> ou cachée
        <img style="height:1em" src="{% static 'img/eye-off.svg' %}">, et permet de changer ce statut d'un clic. Vous pouvez inverser la visibilité de toutes
        les courbes en même temps avec le bouton du haut <img style="height:1em" src="{% static 'img/refresh-cw.svg' %}">.
        Dans la vue de comparaison intermodèles, vous pouvez retirer entièrement un modèle du calcul en cliquant sur la croix <img
                style="height:1em"
                src="{% static 'img/x-circle.svg' %}">. Le modèle sera ainsi supprimé et toute la page re-calculée. Vous pouvez réintroduire
        le modèle en le sélectionnant à nouveau dans le menu principal.
    </p>
    <p>Cliquez-glissez pour zoomer sur le graphe interannuel. Le double-clic réinitialise la vue. Il est possible d'utiliser les bornes de la vue pour les calculs suivants, en cliquant sur
        "Utiliser ces bornes dans le calcul" plus bas.</p>
</div>
{% endblock %}